Last modified: 2013-08-21 19:30:40 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 50319 - Document how to add fonts
Document how to add fonts
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UniversalLanguageSelector (Other open bugs)
master
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: documentation 53015
  Show dependency treegraph
 
Reported: 2013-06-27 20:47 UTC by Niklas Laxström
Modified: 2013-08-21 19:30 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Niklas Laxström 2013-06-27 20:47:15 UTC
https://www.mediawiki.org/wiki/Extension:WebFonts#Adding_a_new_language_support
https://gerrit.wikimedia.org/r/#/c/68334/

These two combined seems to be the best we have currently, but we can do better.
Comment 1 Amir E. Aharoni 2013-08-19 06:12:11 UTC
Kartik and I updated:
https://www.mediawiki.org/wiki/Extension:UniversalLanguageSelector#Adding_fonts

I think that it's simple and usable.
Comment 2 Nemo 2013-08-19 11:34:40 UTC
(In reply to comment #1)
> Kartik and I updated:
> https://www.mediawiki.org/wiki/Extension:
> UniversalLanguageSelector#Adding_fonts
> 
> I think that it's simple and usable.

Does sfntly have a GUI and a Windows version like fontforge^ Is action by the sysadmin no longer required as https://www.mediawiki.org/wiki/Extension:WebFonts#Adding_fonts said?
Comment 3 Amir E. Aharoni 2013-08-19 11:51:43 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Kartik and I updated:
> > https://www.mediawiki.org/wiki/Extension:
> > UniversalLanguageSelector#Adding_fonts
> > 
> > I think that it's simple and usable.
> 
> Does sfntly have a GUI and a Windows version like fontforge^

AFAIK, it's only command-line.

> Is action by the
> sysadmin no longer required as
> https://www.mediawiki.org/wiki/Extension:WebFonts#Adding_fonts said?

The fonts are added to the source repo. I enhanced the doc. Thanks for this comment - it shouldn't be taken for granted.
Comment 4 Nemo 2013-08-21 19:30:40 UTC
Thanks, looks even better now.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links